Subject: Re: bug#44301: Black screen in Guix System installation

From: Douglas Linford <[email-masked]>
Date: Thu, 29 Oct 2020 16:23:56 -0400

Tobias,
I have tried both of those options, new current image and appending radeon on the kernel load line, but to no avail.
It never reaches login on tty1, but I can switch to tty2 and update guix and run commands.
The graphics card I have is an AMD/ATI Radeon HD 7800
Can the nouveau driver be installed and then tweak the X config file to use and load the nouveau, (if that is the one I need),driver?

Douglas
Sent from Mailspring (https://link.getmailspring.com/link/[email-masked]/0?redirect=https%3A%2F%2Fgetmailspring.com%2F&recipient=NDQzMDFAZGViYnVncy5nbnUub3Jn), the best free email app for work
On Oct 29 2020, at 3:22 am, Tobias Geerinckx-Rice via Bug reports for GNU Guix <[email-masked]> wrote:
> Good morning,
>
> soheilkhanalipur--- via Bug reports for GNU Guix 写道：
> > After this, the screen turns black and nothing is displayed.
>
>
> This sounds similar to <http://issues.guix.gnu.org/44257>. Do you
> have an ATI video card? They are known for problematic hardware.
>
> Please try the two work-arounds suggested there: adding ‘radeon’
> to the GRUB kernel command line, or burning the ‘latest’ ISO if
> that doesn't help.
>
> Kind regards,
> T G-R